Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 2996b9b14d84cd5c214d74c0b9f858a2e3622ef9)
+++ cpukit/ChangeLog	(revision adae165b7a5772447cecb491f7b97bea2b25fae3)
@@ -1,2 +1,7 @@
+2011-08-29	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* include/rtems/userenv.h, score/src/threadhandler.c: Formatting.
+	* sapi/src/exshutdown.c: Add comments.
+
 2011-08-22	Jennifer Averett <Jennifer.Averett@OARcorp.com>
 
Index: cpukit/include/rtems/userenv.h
===================================================================
--- cpukit/include/rtems/userenv.h	(revision 2996b9b14d84cd5c214d74c0b9f858a2e3622ef9)
+++ cpukit/include/rtems/userenv.h	(revision adae165b7a5772447cecb491f7b97bea2b25fae3)
@@ -47,18 +47,17 @@
 
 typedef struct {
- rtems_id                         task_id;
- rtems_filesystem_location_info_t current_directory;
- rtems_filesystem_location_info_t root_directory;
- /* Default mode for all files. */
- mode_t                           umask;
- nlink_t                          link_counts;
- /* _POSIX_types */
- uid_t                            uid;
- gid_t                            gid;
- uid_t                            euid;
- gid_t                            egid;
- char      login_buffer[LOGIN_NAME_MAX];
-
- pid_t                            pgrp; /* process group id */
+  rtems_id                         task_id;
+  rtems_filesystem_location_info_t current_directory;
+  rtems_filesystem_location_info_t root_directory;
+  /* Default mode for all files. */
+  mode_t                           umask;
+  nlink_t                          link_counts;
+  /* _POSIX_types */
+  uid_t                            uid;
+  gid_t                            gid;
+  uid_t                            euid;
+  gid_t                            egid;
+  char      login_buffer[LOGIN_NAME_MAX];
+  pid_t                            pgrp; /* process group id */
 } rtems_user_env_t;
 
Index: cpukit/sapi/src/exshutdown.c
===================================================================
--- cpukit/sapi/src/exshutdown.c	(revision 2996b9b14d84cd5c214d74c0b9f858a2e3622ef9)
+++ cpukit/sapi/src/exshutdown.c	(revision adae165b7a5772447cecb491f7b97bea2b25fae3)
@@ -50,4 +50,13 @@
     _System_state_Set( SYSTEM_STATE_SHUTDOWN );
     _Thread_Stop_multitasking();
+
+    /*******************************************************************
+     *******************************************************************
+     *******************************************************************
+     ******     RETURN TO RTEMS_INITIALIZE_START_MULTITASKING()   ******
+     ******                 AND THEN TO BOOT_CARD()               ******
+     *******************************************************************
+     *******************************************************************
+     *******************************************************************/
   }
   _Internal_error_Occurred(
@@ -56,4 +65,3 @@
     INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP
   );
-
 }
Index: cpukit/score/src/threadhandler.c
===================================================================
--- cpukit/score/src/threadhandler.c	(revision 2996b9b14d84cd5c214d74c0b9f858a2e3622ef9)
+++ cpukit/score/src/threadhandler.c	(revision adae165b7a5772447cecb491f7b97bea2b25fae3)
@@ -30,5 +30,13 @@
 #include <rtems/score/userext.h>
 #include <rtems/score/wkspace.h>
-
+#if defined(RTEMS_SMP)
+  #include <rtems/score/smp.h>
+#endif
+
+
+/*
+ *  Conditional magic to determine what style of C++ constructor
+ *  initialization this target and compiler version uses.
+ */
 #if defined(__AVR__)
   #undef __USE_INIT_FINI__
@@ -54,9 +62,4 @@
 #endif
 
-#if defined(RTEMS_SMP)
-  #include <rtems/score/smp.h>
-#endif
-
-
 /*
  *  _Thread_Handler
@@ -82,5 +85,4 @@
  *  Output parameters:  NONE
  */
-
 void _Thread_Handler( void )
 {
@@ -105,5 +107,4 @@
    * inline asm here
    */
-
   level = executing->Start.isr_level;
   _ISR_Set_level(level);
@@ -151,5 +152,4 @@
         _Thread_Enable_dispatch();
       #endif
-
     }
  #endif
